Subject: Re: What's cooking in git.git (Mar 2009, #06; Sat, 21)

From: Finn Arne Gangstad <[email-masked]>
Date: Mon, 23 Mar 2009 15:46:50 +0100

On Sat, Mar 21, 2009 at 12:58:33AM -0700, Junio C Hamano wrote:
[...]
> * fg/push-default (Mon Mar 16 16:42:52 2009 +0100) 2 commits
>  - Display warning for default git push with no push.default config
>  + New config push.default to decide default behavior for push
> 
> Replaced the old series with the first step to allow a smooth transition.
> Some might argue that this should not give any warning but just give users
> this new configuration to play with first, and after we know we are going
> to switch default some day, start the warning.

If you feel that talking about a possible future change is premature,
you could omit that part of the second commit I guess, but I think
printing some kind of warning is valuable.  Are you waiting for more
input?  It seems that this topic is pretty dead now.

Most people who get bitten by this directly are probably not active on
this list so I don't think you will hear from many of them.

- Finn Arne